curl --request GET \
--url https://api.example.com/api/v1/schema/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/schema/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/schema/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"title": "<string>",
"name": "<string>",
"version": "0.0.1",
"description": "Detector schema description example",
"author": "<string>",
"icon": "<string>",
"tags": [
"<string>"
],
"networkTags": [
"<string>"
],
"faq": [
{
"name": "<string>",
"value": "<string>"
}
],
"schema": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "Product",
"description": "Json schema example",
"type": "object",
"properties": {
"name": {
"description": "String property example",
"type": "string"
},
"version": {
"description": "Integer property example",
"type": "integer",
"exclusiveMinimum": 0
}
},
"required": [
"name",
"version"
]
},
"uiSchema": {}
}get entity by id
Authorizations
Authentication
Path Parameters
Response
OK
Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
ACTIVE, DISABLED, DELETED Title of the detector schema, shown to UI user
Name of the detector schema
Version of the detector schema
"0.0.1"
Description of the detector schema
"Detector schema description example"
Author for the detector schema
Icon for the detector schema
Detector schema tags. Example SECURITY, COMPLIANCE
Detector schema tags, list of groups or networks that are allowed for this schema. Can include ChainGroup (network group, eg: 'evm') or ChainUid (network eg: 'ethereum'). Empty = any network
FAQ of the detector schema
Show child attributes
Show child attributes
Json Schema value of the detector schema
Show child attributes
Show child attributes
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"title": "Product",
"description": "Json schema example",
"type": "object",
"properties": {
"name": {
"description": "String property example",
"type": "string"
},
"version": {
"description": "Integer property example",
"type": "integer",
"exclusiveMinimum": 0
}
},
"required": ["name", "version"]
}
UI Schema value of the detector schema
Show child attributes
Show child attributes
{}